Subject: Re: [v6ops] Inconsistent host on-link/off-link assumptions on a multi-access link (Re: Peer discovery for unique IPv6 prefixes per host)

From: Mikael Abrahamsson <[email-masked]>
Date: Tue, 5 Sep 2017 09:07:16 +0200 (CEST)

On Mon, 28 Aug 2017, Mark Smith wrote:

> BBF didn't invent this. Private VLANs have been around for about 15
> years or more. From memory, they were created to save IPv4 address
> space, avoiding losing .0 and subnet broadcast addresses for each
> subnet/VLAN. That requirement doesn't apply to IPv6, however people

They were also invented for security reasons, for instance in enterprise 
and ETTH scenarios.

https://datatracker.ietf.org/doc/rfc3069/?include_text=1 from 2001.

This includes the concept of sharing an IPv4 subnet across many broadcast 
domains. This is one way of doing "private vlan", others are different.

In this deployment scenario however, I would definitely have separate IPv6 
prefixes per vlan (/64) and not share an IPv6 prefix in the same manner.

-- 
Mikael Abrahamsson    email: [email-masked]